#include "stdafx.h"
#include "label.h"

////////////////////////////////////////////////////////////////////////////
//
// Set text for the Label, xLabel or xLabelLight window.
// 
void SetLabelText(string sLabelName, string sValue)
{
	static HWND hwndLitestep = GetLitestepWnd();

	SETLABELTEXTINFO slti;
	slti.sName = sLabelName;
	slti.sValue = sValue;
	EnumWindows(LabelSearchProc, (LPARAM)&slti);
}

////////////////////////////////////////////////////////////////////////////
//
// Enumeration
// 
BOOL CALLBACK LabelSearchProc(HWND hwnd, LPARAM lParam)
{
	char buf[MAX_LINE_LENGTH], buf2[MAX_LINE_LENGTH];
	if (GetWindowText(hwnd, buf, MAX_LINE_LENGTH))
	{
		if (buf == ((LPSETLABELTEXTINFO)lParam)->sName )
		{
			if (GetClassName(hwnd, buf2, MAX_LINE_LENGTH))
			{
				if (stricmp(buf2,"xLabel") == 0 || stricmp(buf2, "LabelLS") == 0)
				{
					//LeBox(((LPSETLABELTEXTINFO)lParam)->sValue);
					SendMessage(hwnd, LM_SETLABELTEXT, 0, (LPARAM)(((LPSETLABELTEXTINFO)lParam)->sValue).c_str());
					return FALSE;
				}
			}
		}
	}
	EnumChildWindows(hwnd, LabelSearchProc, lParam);
	return TRUE;
}


